import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * [UserMenuHeaderComponent Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-user-menu--readme)
 *
 * The `<blui-user-menu-header>` is the menu header of the `<blui-user-menu>`.
 */
export declare class UserMenuHeaderComponent {
    /** Mat toolbar color variant
     *
     * @default primary
     * */
    color: 'primary' | 'accent' | 'warn' | undefined;
    /** Show a divider below footer
     *
     * @default false
     * */
    divider: boolean;
    /** The text to show on the second line */
    subtitle: string;
    /** The text to show on the first line */
    title: string;
    iconEl: ElementRef;
    isEmpty: (el: ElementRef) => boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserMenuHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserMenuHeaderComponent, "blui-user-menu-header", never, { "color": "color"; "divider": "divider"; "subtitle": "subtitle"; "title": "title"; }, {}, never, ["[blui-icon]", "[blui-title-content]"]>;
}
